
CoCoA-5 - Feature #183

Template for unaryMinus?

11 Jun 2012 10:56 - Anna Maria Bigatti

Status: New Start date: 11 Jun 2012

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.40 hour

Description

In Interpreter.C there are templates for opEqual, opStar, ...

Can we have a similar template for unaryMinus?

Related issues:

Related to CoCoA-5 - Bug #171: Negate LIST, MAT,... New 31 May 2012

History

#1 - 11 Jun 2012 10:57 - Anna Maria Bigatti

- Category set to Parser/Interpreter

#2 - 11 Jun 2012 11:06 - John Abbott

Unary minus is implemented via a member fn -- JAA does not know why it was implemented in this way.

#3 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 09 Apr 2014 17:31 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 01 Sep 2014 14:51 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

#6 - 29 Jul 2015 23:24 - John Abbott

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

Postponing to next version as this is really just code cleaning; the code works as it is, and the necessary cleaning will take quite some time (mostly

trying to understand why the current implementation is structured as it is).

#7 - 17 Feb 2016 15:28 - John Abbott

- Target version changed from CoCoA-5.1.3/4 Jan 2016 to CoCoA-5.2.0 spring 2017

Postponing for same reason as last time ;-)

#8 - 13 Oct 2016 13:05 - John Abbott

- Priority changed from Normal to Low

Postponing again; also lowered priority to low.
#9 - 13 Oct 2016 13:05 - John Abbott

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

#10 - 15 Nov 2017 17:19 - John Abbott

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

#11 - 25 Jul 2018 17:15 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.?.?
